Bug 657491 - font package dependency bloat
font package dependency bloat
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
13
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-26 04:27 EST by Ralf Corsepius
Modified: 2010-12-01 20:25 EST (History)
19 users (show)

See Also:
Fixed In Version: java-1.6.0-openjdk-1.6.0.0-46.1.8.3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-01 17:02:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2010-11-26 04:27:03 EST
Description of problem:

Today's (2010-11-26) update to java-1.6.0-openjdk pulls in whole bunch of unwanted deps on Asian font packages.

# repoquery -q --requires java-1.6.0-openjdk | grep fonts
baekmuk-ttf-batang-fonts
baekmuk-ttf-dotum-fonts
baekmuk-ttf-fonts-common
baekmuk-ttf-gulim-fonts
baekmuk-ttf-hline-fonts
cjkuni-ukai-fonts
cjkuni-uming-fonts
lohit-assamese-fonts
lohit-bengali-fonts
lohit-devanagari-fonts
lohit-gujarati-fonts
lohit-kannada-fonts
lohit-malayalam-fonts
lohit-oriya-fonts
lohit-punjabi-fonts
lohit-tamil-fonts
lohit-telugu-fonts
sazanami-fonts-common
sazanami-gothic-fonts
sazanami-mincho-fonts

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1:1.6.0.0-45.1.8.3.fc13.x86_64

Expected results:
This package not to pull in unwanted fonts.
Comment 1 Deepak Bhole 2010-11-26 09:21:58 EST
This is a necessity due to the inability of existing fonts to show certain characters. 

Please see bug# 622680 and bug# #643674. They are the one for which those fonts were added.
Comment 2 Ralf Corsepius 2010-11-26 09:51:52 EST
(In reply to comment #1)
> This is a necessity due to the inability of existing fonts to show certain
> characters. 
Pardon, but this is 

a) inacceptable ... due to the bloat of adding rarely used fonts.


b) nonsensical ... because you are only adding asian fonts.
If there were a techncial necessity to these fonts you'd also have to add fonts for the rest of the world (e.g. Eastern Europe).

> Please see bug# 622680 and bug# #643674.
Will do when time permits.

Reopening
Comment 3 Andrew Duggan 2010-11-26 12:29:15 EST
Shouldn't this be done in sub package likes OpenOffice.org packages do?  That way we all get what we need without the bloat.
Comment 4 TK009 2010-11-26 17:27:50 EST
Not a lot to add here except to reiterate what Ralf has already said.

"unacceptable..." does sum it up.
Comment 5 Mamoru TASAKA 2010-11-26 17:31:29 EST
CC-ing to i18n-bugs.
Comment 6 bee 2010-11-27 09:31:13 EST
Hi!!!!!!!!!!!!!!!!!!!
I left a comment at the admin page of java (https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-45.1.8.3.fc13), but i think nobody ever reads there!!!!!!! Then i found this report!!!!! So i'll post here too!!!!!!

It's a quite strange thing that to install a software package of 26.1 MB, you need additional fonts packages for 26.3MB!!!!!!!!!!!!!!!!!!!!!!!!!!! YEAH!! fonts!!!!!!!!
Everybody knows Java is useless and bloated by Nature!!!, but a double-sized pack for the same software, is a easily noticeable lack of optimization!!!!!!!!!!!!!!
When you install a desktop manager, all additional "extra" packages with fonts, backgrounds, icons, sounds effects, boring games, etc are not installed as dependencies!!!!!! And yeah!!! to understand that's the way to go, you don't need an ORACLE!!!!!!!!!!!!! hahaha!!!!!!!!!!!!! funny joke!!!!
I think packages shouldn't have so very fat useless dependencies!!!!!!!!!!!!!

bye!!!!!!!!!!!!!!
~bee!!!!!!!! 
http://honeybeenet.altervista.org/beesu/
Comment 7 Jan Pazdziora 2010-11-27 11:56:12 EST
Bumping up the priority.

The solution has to be to create a subpackage (java-1.6.0-openjdk-fonts) which will have the Requires for. Add that subpackage to default for appropriate comps group if needed.

I'd also claim that this change should have never gone to stable Fedora release, only to rawhide.
Comment 8 Jeff Otterson 2010-11-28 19:39:44 EST
Just echoing the others: I don't want or need the Asian, Indic, and what have you fonts.  To a 8859-1 user, the empty box symbol is just as useful as fonts we cannot read, anyway.  Internationalization should not require undue burden of the installation of resources the user does not need.

Please fix.
Comment 9 Andrew John Hughes 2010-11-29 08:33:35 EST
This is in the process of being reverted.

In the meantime, please keep a sense of perspective here.  A few additional dependencies are not the end of the world.
Comment 10 Fedora Update System 2010-11-29 22:12:06 EST
java-1.6.0-openjdk-1.6.0.0-46.1.8.3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-46.1.8.3.fc13
Comment 11 Fedora Update System 2010-11-29 22:12:47 EST
java-1.6.0-openjdk-1.6.0.0-48.1.9.1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-48.1.9.1.fc14
Comment 12 Jan Pazdziora 2010-11-30 02:17:24 EST
(In reply to comment #10)
> java-1.6.0-openjdk-1.6.0.0-46.1.8.3.fc13 has been submitted as an update for
> Fedora 13.
> https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-46.1.8.3.fc13

Deepak, thanks for the quick fix.

Folks, I assume it's now time to add karma to those updates to get them out as soon as possible.
Comment 13 Fedora Update System 2010-11-30 11:36:14 EST
java-1.6.0-openjdk-1.6.0.0-49.1.9.2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-49.1.9.2.fc14
Comment 14 Fedora Update System 2010-11-30 17:37:29 EST
java-1.6.0-openjdk-1.6.0.0-46.1.8.3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update java-1.6.0-openjdk'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-46.1.8.3.fc13
Comment 15 Fedora Update System 2010-12-01 17:02:33 EST
java-1.6.0-openjdk-1.6.0.0-46.1.8.3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Jeff Otterson 2010-12-01 20:25:16 EST
I installed from the test repo this morning -- it works well now.  Thank you for your attention to this problem.

Jeff

Note You need to log in before you can comment on or make changes to this bug.